Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class ClassicCallerInfoAdder

    java.lang.Object
      org.jboss.aop.instrument.CallerInfoAdder
          org.jboss.aop.instrument.ClassicCallerInfoAdder

public class ClassicCallerInfoAdder
extends CallerInfoAdder

Adds CallerInfo fields to advised class

Version:
  $Revision$
Author:
  Kabir Khan

Constructor Summary
`ClassicCallerInfoAdder(Instrumentor instrumentor)`

Method Summary
`protected void` | `addConByConInfoField(javassist.CtClass addTo, String fieldName, int callingIndex, String classname, long calledHash)`
`protected void` | `addConByMethodInfoField(javassist.CtClass addTo, String fieldName, long callingHash, String classname, long calledHash)`
`protected boolean` | `addInfoAsWeakReference()`
`protected void` | `addMethodByConInfoField(javassist.CtClass addTo, String fieldName, int callingIndex, String classname, long calledHash)`
`protected void` | `addMethodByMethodInfoField(javassist.CtClass addTo, String fieldName, long callingHash, String classname, long calledHash)`

Methods inherited from class org.jboss.aop.instrument.CallerInfoAdder
`addConByConInfoField, addConByMethodInfoField, addMethodByConInfoField, addMethodByMethodInfoField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassicCallerInfoAdder

    public ClassicCallerInfoAdder(Instrumentor instrumentor)

Method Detail

### addMethodByMethodInfoField

    protected void addMethodByMethodInfoField(javassist.CtClass addTo,
                                              String fieldName,
                                              long callingHash,
                                              String classname,
                                              long calledHash)
                                       throws javassist.NotFoundException,
                                              javassist.CannotCompileException

  Specified by:
    `addMethodByMethodInfoField` in class `CallerInfoAdder`
  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addConByMethodInfoField

    protected void addConByMethodInfoField(javassist.CtClass addTo,
                                           String fieldName,
                                           long callingHash,
                                           String classname,
                                           long calledHash)
                                    throws javassist.NotFoundException,
                                           javassist.CannotCompileException

  Specified by:
    `addConByMethodInfoField` in class `CallerInfoAdder`
  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addConByConInfoField

    protected void addConByConInfoField(javassist.CtClass addTo,
                                        String fieldName,
                                        int callingIndex,
                                        String classname,
                                        long calledHash)
                                 throws javassist.NotFoundException,
                                        javassist.CannotCompileException

  Specified by:
    `addConByConInfoField` in class `CallerInfoAdder`
  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addMethodByConInfoField

    protected void addMethodByConInfoField(javassist.CtClass addTo,
                                           String fieldName,
                                           int callingIndex,
                                           String classname,
                                           long calledHash)
                                    throws javassist.NotFoundException,
                                           javassist.CannotCompileException

  Specified by:
    `addMethodByConInfoField` in class `CallerInfoAdder`
  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### addInfoAsWeakReference

    protected boolean addInfoAsWeakReference()

  Specified by:
    `addInfoAsWeakReference` in class `CallerInfoAdder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.